""" Select two sounds and blend them together at 50% each """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the first sound (.wav) file to blend "
  fileName = pickAFile()
  soundOne = makeSound(fileName)
  print "Open Sound Tool to 'view' sound"
  openSoundTool(soundOne)

  print "Select the second sound (.wav) file to blend "
  fileName = pickAFile()
  soundTwo = makeSound(fileName)
  print "Open Sound Tool to 'view' sound"
  openSoundTool(soundTwo)
  
  blendedSound = blendSounds(soundOne, soundTwo)
  
  blockingPlay(blendedSound)
  
  writeSoundTo(blendedSound, getMediaPath("blendedSound.wav"))
  print "Open Sound Tool to 'view' sound"
  openSoundTool(blendedSound)

def blendSounds(s1,s2):
  len1 = getLength(s1)
  len2 = getLength(s2)
  if len1>len2:
    longestLength = len1
    shortestLength = len2
    longerSound = s1
  else:
    longestLength = len2
    shortestLength = len1
    longerSound = s2
    
  blendedSound = makeEmptySound(longestLength)
  
  for index in range(0,shortestLength):
    newValue = (getSampleValueAt(s1,index) + getSampleValueAt(s2, index))/2
    setSampleValueAt(blendedSound, index, newValue)
    
  for index in range(shortestLength,longestLength):
    sampleValue = getSampleValueAt(longerSound,index)
    setSampleValueAt(blendedSound, index, sampleValue)
    
  return blendedSound

main()